version: "3.8"

x-generic-api-variables: &generic-api-variables
  DOMAIN: "xxllnc-local.eu.auth0.com"
  AUTH0_ECO_CLIENT_ID: "See auth0"
  AUTH0_ECO_CLIENT_SECRET: "See auth0"
  AUTH0_ECO_AUDIENCE: "See auth0"
  
x-generic-app-variables: &generic-app-variables
  REACT_APP_DEBUG: "true"
  REACT_APP_AUTH0_DOMAIN: "See auth0"
  REACT_APP_AUTH0_CLIENT_ID: "See auth0"
  REACT_APP_AUTH0_AUDIENCE: "See auth0"

services:
  controlpanel-api:
    environment:
      <<: *generic-api-variables
      AUTH0_CONNECTION_ENABLED_CLIENTS: "See auth0"
      AUTH0_MANAGEMENT_CLIENT_ID: "See auth0"
      AUTH0_MANAGEMENT_CLIENT_SECRET: "See auth0"
  contactmomenten-api:
    build:
      args:
        INSTALL_DEV: "true"
    command: python -m debugpy --listen 0.0.0.0:5675 app/main.py
    ports:
      - 5675:5675
    environment:
      <<: *generic-api-variables
    
  contactmomenten-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/contactmomenten-app:development-latest
    
  terugbelverzoeken-api:
    build:
      args:
        INSTALL_DEV: "true"
    command: python -m debugpy --listen 0.0.0.0:5675 app/main.py
    ports:
      - 5675:5675
    environment:
      <<: *generic-api-variables

  terugbelverzoeken-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/contactmomenten-app:development-latest

  formulierenbeheer-api:
    build:
      args:
        INSTALL_DEV: "true"
    command: python -m debugpy --listen 0.0.0.0:5675 app/main.py
    ports:
      - 5675:5675
    environment:
      <<: *generic-api-variables

  formulierenbeheer-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/formulierenbeheer-app:development-latest

  formuliereninwoner-app:
    environment:
      <<: *generic-app-variables
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/formuliereninwoner-app:development-latest
  
  verzoeken-api:
    build:
      args:
        INSTALL_DEV: "true"
    command: python -m debugpy --listen 0.0.0.0:5675 app/main.py
    ports:
      - 5675:5675
    environment:
      <<: *generic-api-variables

  verzoeken-validation-api:
    build:
      args:
        INSTALL_DEV: "true"
    command: python -m debugpy --listen 0.0.0.0:5675 app/main.py
    ports:
      - 5675:5675
    environment:
      <<: *generic-api-variables

  instellingen-api:
    build:
      args:
        INSTALL_DEV: "true"
    command: python -m debugpy --listen 0.0.0.0:5675 app/main.py
    ports:
      - 5675:5675
    environment:
      <<: *generic-api-variables

# disabled untill new latest tag is made
  # vergaderen-app:
  #   environment:
  #     <<: *generic-app-variables
  #   image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/vergaderen-app:development-latest

  vergaderen-json-server:
    environment:
      <<: *generic-app-variables

  persons-api:
    build:
      args:
        INSTALL_DEV: "true"
    command: python -m debugpy --listen 0.0.0.0:5675 app/main.py
    ports:
      - 5675:5675
    environment:
      <<: *generic-api-variables
      X_API_KEY: "See auth0"
      AUTH0_EVENT_CLIENT_ID: "See auth0"
      AUTH0_EVENT_CLIENT_SECRET: "See auth0"
      AUTH0_EVENT_AUDIENCE: "See auth0"
      AUTH0_AUDITLOG_CLIENT_ID: "See auth0"
      AUTH0_AUDITLOG_CLIENT_SECRET: "See auth0"
      AUTH0_AUDITLOG_AUDIENCE: "See auth0"
      AUTH0_ECO_DOMAIN:  "See auth0"

  mijnomgeving-app:
    environment:
      <<: *generic-app-variables
      REACT_APP_AUTH0_DOMAIN: "See auth0"
      REACT_APP_AUTH0_CLIENT_ID: "See auth0"
      REACT_APP_AUTH0_AUDIENCE: "See auth0"
    image: registry.gitlab.com/xxllnc/cga-public/xxllnc-common-ground-apps/frontend/mijnomgeving-app:development-latest

  payment-api:
    build:
      args:
        INSTALL_DEV: "true"
    command: python -m debugpy --listen 0.0.0.0:5675 app/main.py
    ports:
      - 5675:5675
    environment:
      <<: *generic-api-variables